com.pivotal.gemfirexd.internal.client.am

## Class GetResourceBundleAction

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.GetResourceBundleAction

All Implemented Interfaces:
  PrivilegedExceptionAction

    public class GetResourceBundleAction
    extends Object
    implements PrivilegedExceptionAction

### Constructor Summary

Constructors
Constructor and Description
`GetResourceBundleAction(String resourceBundleName)`

### Method Summary

Methods
`Object` `run()`
`void` `setResourceBundleName(String resourceBundleName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetResourceBundleAction

    public GetResourceBundleAction(String resourceBundleName)

### Method Detail

#### run

    public Object run()
               throws NullPointerException,
                      MissingResourceException

Specified by:
  `run` in interface `PrivilegedExceptionAction`
Throws:
  `NullPointerException`
  `MissingResourceException`

#### setResourceBundleName

    public void setResourceBundleName(String resourceBundleName)